Skip to content

Get campaign runs

Request

Get a list of campaign runs.

Security
oauth2(Required scopes: borrowercampaign.run:read) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

borrowerCampaignIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

GET
/companies/{companyId}/campaigns/{borrowerCampaignId}/runs
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/campaigns/{borrowerCampaignId}/runs?limit=25&startingAfter=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(BorrowerCampaignFull)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }